Bug 730041 (perl-Date-JD) - Review Request: perl-Date-JD - Conversion between flavors of Julian Date
Summary: Review Request: perl-Date-JD - Conversion between flavors of Julian Date
Status: CLOSED ERRATA
Alias: perl-Date-JD
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Date-JD/
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 15:41 UTC by Iain Arnell
Modified: 2011-08-28 05:24 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-08-26 18:50:57 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2011-08-11 15:41:51 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Date-JD.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Date-JD-0.005-1.fc17.src.rpm

Description:
For date and time calculations it is convenient to represent dates by a
simple linear count of days, rather than in a particular calendar. This is
such a good idea that it has been invented several times. If there were a
single such linear count then it would be the obvious data interchange
format between calendar modules. With several versions, calendar modules
can use such sensible data formats and still have interoperability
problems. This module tackles that problem, by performing conversions
between different flavors of day count. These day count systems are
generically known as "Julian Dates", after the most venerable of them.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3266224

*rt-0.10_01

Comment 1 Mario Blättermann 2011-08-15 18:57:12 UTC
$ rpmlint -i -v *
perl-Date-JD.noarch: I: checking
perl-Date-JD.noarch: W: spelling-error %description -l en_US interoperability -> interchangeability, invulnerability, inseparability
The value of this tag appears to be misspelled. Please double-check.

perl-Date-JD.noarch: I: checking-url http://search.cpan.org/dist/Date-JD/ (timeout 10 seconds)
perl-Date-JD.src: I: checking
perl-Date-JD.src: W: spelling-error %description -l en_US interoperability -> interchangeability, invulnerability, inseparability
The value of this tag appears to be misspelled. Please double-check.

perl-Date-JD.src: I: checking-url http://search.cpan.org/dist/Date-JD/ (timeout 10 seconds)
perl-Date-JD.src: I: checking-url http://www.cpan.org/modules/by-module/Date/Date-JD-0.005.tar.gz (timeout 10 seconds)
perl-Date-JD.spec: I: checking-url http://www.cpan.org/modules/by-module/Date/Date-JD-0.005.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Just one ignorable spelling error.

Comment 2 Mario Blättermann 2011-08-15 19:21:27 UTC
---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPL+ or Artistic
[+] MUST: The License field in the package spec file must match the actual
license.
[.] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    bdfe53aaa6c119dd3cfae0f477458e24  Date-JD-0.005.tar.gz
    bdfe53aaa6c119dd3cfae0f477458e24  Date-JD-0.005.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates.
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it. Don't know how to test it on my
system.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.


----------------

PACKAGE APPROVED

----------------

Comment 3 Iain Arnell 2011-08-16 03:05:00 UTC
New Package SCM Request
=======================
Package Name: perl-Date-JD
Short Description: Conversion between flavors of Julian Date
Owners: iarnell
Branches: f14 f15 f16
InitialCC: perl-sig

Comment 4 Gwyn Ciesla 2011-08-16 12:56:35 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-08-16 15:45:27 UTC
perl-Date-JD-0.005-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Date-JD-0.005-1.fc15

Comment 6 Fedora Update System 2011-08-16 15:45:34 UTC
perl-Date-JD-0.005-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Date-JD-0.005-1.fc16

Comment 7 Fedora Update System 2011-08-16 15:45:43 UTC
perl-Date-JD-0.005-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Date-JD-0.005-1.fc14

Comment 8 Fedora Update System 2011-08-16 20:08:33 UTC
perl-Date-JD-0.005-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 9 Fedora Update System 2011-08-26 18:50:52 UTC
perl-Date-JD-0.005-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Fedora Update System 2011-08-26 19:02:35 UTC
perl-Date-JD-0.005-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 11 Fedora Update System 2011-08-28 05:23:59 UTC
perl-Date-JD-0.005-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.